<?php
global $_GPC, $_W;
// $action = 'ad';
// $title = $this->actions_titles[$action];
$GLOBALS['frames'] = $this->getMainMenu();
$operation = !empty($_GPC['op']) ? $_GPC['op'] : 'display';
$item=pdo_get('zhtc_sms',array('uniacid'=>$_W['uniacid']));
if(checksubmit('submit')){
    $data['tid1']=trim($_GPC['tid1']);
    $data['tid2']=trim($_GPC['tid2']);
    $data['tid3']=trim($_GPC['tid3']);
    $data['fh_tid']=trim($_GPC['fh_tid']);
    $data['gm_tid']=trim($_GPC['gm_tid']);
    $data['hp_tid']=trim($_GPC['hp_tid']);
    $data['dz_tid']=trim($_GPC['dz_tid']);
    $data['tg_tid']=trim($_GPC['tg_tid']);
    $data['qg_tid']=trim($_GPC['qg_tid']);
    $data['hd_tid']=trim($_GPC['hd_tid']);
    $data['kq_tid']=trim($_GPC['kq_tid']);
    $data['pt_tid']=trim($_GPC['pt_tid']);
    $data['qf_tid']=trim($_GPC['qf_tid']);
    $data['uniacid']=trim($_W['uniacid']);
    if($_GPC['id']==''){                
        $res=pdo_insert('zhtc_sms',$data);
        if($res){
            message('添加成功',$this->createWebUrl('template',array()),'success');
        }else{
            message('添加失败','','error');
        }
    }else{
        $res = pdo_update('zhtc_sms', $data, array('id' => $_GPC['id']));
        if($res){
            message('编辑成功',$this->createWebUrl('template',array()),'success');
        }else{
            message('编辑失败','','error');
        }
    }
}
if($_GPC['op']=='generate'){
   $item=pdo_get('zhtc_sms',array('uniacid'=>$_W['uniacid']));
   $data['tid1']= $this->generateTemplate('AT0444',['商家名称','申请人','申请时间','状态','备注']);
   $data['tid2']= $this->generateTemplate('AT0324',['姓名','帐号','提现金额','实际到账','方式','提现时间']);
   $data['tid3']= $this->generateTemplate('AT1977',['评论内容','评论人','评论时间']);
   $data['fh_tid']= $this->generateTemplate('AT0007',['订单状态','订单编号','商品名称','订单金额','物流公司','物流单号','收货人','收货人电话','收货地址']);
   $data['gm_tid']= $this->generateTemplate('AT0079',['订单状态','订单号','商品名称','订单金额','支付状态','支付时间','收货人','联系电话','收货地址']);
   $data['hp_tid']= $this->generateTemplate('AT2039',['回复者','回复内容','回复时间']);
   $data['dz_tid']= $this->generateTemplate('AT1250',['点赞人','点赞时间','主题']);
   $data['tg_tid']= $this->generateTemplate('AT0168',['审核结果','帖子主题','会员昵称','发布时间','备注']);
   $data['qg_tid']= $this->generateTemplate('AT0688',['商品名称','抢购价','抢购时间','购买数量','订单号','抢购有效期','商户名称']);
   $data['hd_tid']= $this->generateTemplate('AT0027',['报名项目','服务类型','活动地点','活动时间','联系电话','活动费用']);
   $data['kq_tid']= $this->generateTemplate('AT1198',['领取人','适用范围','领取时间','有效期','店铺名称']);
   $data['pt_tid']= $this->generateTemplate('AT0051',['订单号','商品名称','成团人数','购买数量','拼团价格','支付金额','支付时间','门店名称','商家地址']);
   $data['qf_tid']= $this->generateTemplate('AT0480',['查看方式','信息来源','信息内容','分配时间']);
   if($item){
        $data['uniacid']=$_W['uniacid'];
        $res = pdo_update('zhtc_sms', $data, array('uniacid' => $_W['uniacid']));
   }else{
        $res=pdo_insert('zhtc_sms',$data);
   }
   if($res){
        message('更新成功',$this->createWebUrl('template',array()),'success');
    }else{
        message('更新失败','','error');
    }
}
include $this->template('web/template');